Bug 506909 - clusterssh is missing xterm dependencies
clusterssh is missing xterm dependencies
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: clusterssh (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Patrick Laughton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-19 05:04 EDT by Federico Pedemonte
Modified: 2013-12-24 11:18 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.26-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-19 06:12:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Federico Pedemonte 2009-06-19 05:04:13 EDT
Description of problem:

Default clusterssh configuration needs xterm to work properly, but the package doesn't have it in its dependencies.

Version-Release number of selected component (if applicable):

clusterssh-3.22-1.fc9.noarch

How reproducible:

Always

Steps to Reproduce:
1. install f10 from livecd
2. install clusterssh
3. try to use it!
  
Actual results:

Terminal binary not found (/usr/bin/xterm) - please amend $PATH or the cssh config file
Died at /usr/bin/cssh line 286.

Expected results:

works!
Comment 1 Patrick Laughton 2009-06-19 15:05:54 EDT
Wow, seriously?  Just wow.

I'm on it, thanks.
Comment 2 Patrick Laughton 2009-06-23 09:14:30 EDT
Sorry for the delay; I was waiting for the updated package to show up in rawhide.  It's there, so I'm committing to CVS for F-11/F-10 and will push the update to updates-testing as soon as they clear the buildsys.

Thanks again.
Comment 3 Fedora Update System 2009-06-23 11:05:43 EDT
clusterssh-3.26-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/clusterssh-3.26-1.fc11
Comment 4 Fedora Update System 2009-06-23 11:10:21 EDT
clusterssh-3.26-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/clusterssh-3.26-1.fc10
Comment 5 Fedora Update System 2009-06-26 23:00:27 EDT
clusterssh-3.26-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update clusterssh'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7042
Comment 6 Fedora Update System 2009-06-26 23:01:55 EDT
clusterssh-3.26-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update clusterssh'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7050
Comment 7 Fedora Update System 2009-07-19 06:11:58 EDT
clusterssh-3.26-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-07-19 06:34:35 EDT
clusterssh-3.26-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Jason Greene 2013-12-24 11:18:17 EST
I think I am getting this same error on a different line....

RHEL6

Same steps.

clusterssh-3.28-1.el6.rf.noarch

How reproducible:

Always

Steps to Reproduce:
1. install f10 from livecd
2. install clusterssh
3. try to use it!
  
Actual results:

cssh servers-list
Terminal binary not found (xterm) - please amend $PATH or the cssh config file
Died at /usr/bin/cssh line 345.

Expected results:

works!

Note You need to log in before you can comment on or make changes to this bug.